CatalogBrands
Update a brand
Updates a brand's name, slug, media, SEO metadata, and display order.
Path Parameters
brandId*string
Identifier of the brand.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://api.ecomiq.pe/api/v1/catalog/brands/7204558912004322959" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "name": "Andina", "isActive": true, "slug": "andina", "logo": "Andina", "icon": "Andina", "description": "Polo de algodón pima para uso diario.", "metaTitle": "Andina", "metaDescription": "Polo de algodón pima para uso diario." }'Empty